This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188705 - libXft.so.1 no longer is available
libXft.so.1 no longer is available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXft (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 09:24 EDT by Jeff Means
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 12:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Means 2006-04-12 09:24:34 EDT
Description of problem:
error while loading shared libraries: libXft.so.1: cannot open shared object
file: No such file or directory

Version-Release number of selected component (if applicable):
FC5

How reproducible:
Always

Steps to Reproduce:
1. Install libXft-2.1.8.2-3.2.rpm
2. 
3.
  
Actual results:
Software that expects the older libXft.so.1 will no longer run

Expected results:
In the older FC4 release libXft.so.1 was available through
xorg-x11-libs-6.8.2-37.FC4.49.2.i386.rpm along with libXft.so.2

Additional info:
Comment 1 John Thacker 2006-04-19 12:50:38 EDT
This is intentional.  libXft doesn't build libXft.so.1 anymore, using the latest
sources.  The shared library version has changed upstream.

No program in Fedora Core or Fedora Extras requires libXft.so.1.  Xft1 is not
going to be supported or shipped.  Please recompile your software, if possible.
 If necessary, there is a compatibility layer for Xft1:
http://ftp.x.org/pub/X11R7.0/doc/html/Xft.3.html

It may be possible to build yourself an old copy of libXft.so.1, but not with
the current xorg-x11 sources.  If you look around on www.x.org you may find an
old version of Xft1, but I'm not even absolutely certain it will compile against
the newer version of X11.  You may have to do this if you have binary-only
software that won't update.
Comment 2 Mike A. Harris 2006-04-19 17:54:48 EDT
Yep, X11R7 does not support Xft1 anymore.  Xft1 was only ever available as
part of the monolithic X.Org and XFree86 source trees and to the best of my
knowledge was never released as standalone tarballs.  I researched this a
few months ago when we received a previous bug report concerning Xft1
missing.  Keith Packard, the official upstream maintainer of Xft considers
Xft1 ancient and no longer supports this old version of the library.  X.Org
no longer provides nor supports Xft1 either, and there are no upstream
tarballs of it available anywhere, including from Keith Packard.

Xft1 is dead as a doornail, so any software (binary only or otherwise)
which requires Xft1 needs to either be updated by its authors to use
Xft2.  Anyone stuck with binary-only software that links to Xft1 can use
older versions of the operating system for compatibility, or perhaps run
an older OS release inside a Xen virtual machine instance.



Note You need to log in before you can comment on or make changes to this bug.